Bug 1698176 - [RFE] Make Ansible Runner the default
Summary: [RFE] Make Ansible Runner the default
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Ansible
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-09 18:05 UTC by Bryan Kearney
Modified: 2020-06-22 18:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:24:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27021 Normal Closed Make Ansible Runner the default 2020-10-20 04:01:06 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:24:22 UTC

Description Bryan Kearney 2019-04-09 18:05:48 UTC
[RFE] Make Ansible Runner the default

Comment 3 Ondřej Pražák 2019-06-11 13:57:14 UTC
Created redmine issue https://projects.theforeman.org/issues/27021 from this bug

Comment 5 Bryan Kearney 2019-07-31 14:03:39 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27021 has been resolved.

Comment 6 Lukas Pramuk 2020-02-06 13:36:05 UTC
VERIFIED.

@satellite-6.7.0-5.beta.el7sat.noarch
tfm-rubygem-foreman_ansible-4.0.3-1.el7sat.noarch
ansible-runner-1.4.4-1.el7.noarch

by the following manual steps:

1) Schedule Ansible REX command and while checking for processes running on satellite: 
# watch "ps -efH | grep -A4 [a]nsible"
foreman+  2667 15180  1 08:17 pts/5    00:00:00     /usr/bin/python2 /usr/bin/ansible-runner run /tmp/d20200206-15180-1pova5e -p playbook.yml
foreman+  2675  2667 23 08:17 pts/6    00:00:01       /usr/bin/python2 /usr/bin/ansible-playbook -i /tmp/d20200206-15180-1pova5e/inventory playbook.yml
foreman+  2723  2675  5 08:17 pts/6    00:00:00         /usr/bin/python2 /usr/bin/ansible-playbook -i /tmp/d20200206-15180-1pova5e/inventory playbook.yml
foreman+  2787  2723  1 08:17 pts/6    00:00:00           ssh -o ProxyCommand=none -o StrictHostKeyChecking=no -o Port=22 -o IdentityFile="/usr/share/foreman-proxy/.ssh/id_rsa_foreman_proxy"...

>>> 'ansible-runner' is the default implementation

Comment 9 errata-xmlrpc 2020-04-14 13:24:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.